Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Static Public Member Functions | List of all members
FlexibleTransform Class Reference

参照方法が複数ある柔軟なTransform型を扱うクラス。 More...

Inheritance diagram for FlexibleTransform:

## Public Member Functions
| FlexibleTransform ()
| FlexibleTransformデフォルトコンストラクタ More...
| FlexibleTransform (Transform value)
| FlexibleTransformコンストラクタ More...
| FlexibleTransform (TransformParameterReference parameter)
| FlexibleTransformコンストラクタ More...
| FlexibleTransform (InputSlotTransform slot)
| FlexibleTransformコンストラクタ More...
| FlexibleTransform (FlexibleHierarchyType hierarchyType)
| FlexibleTransformコンストラクタ。 More...

## Static Public Member Functions
static | operator Transform (FlexibleTransform flexible)
| FlexibleTransformをTransformにキャスト。 More...
static | operator FlexibleTransform (Transform value)
| TransformをFlexibleTransformにキャスト。 More...

## Detailed Description

参照方法が複数ある柔軟なTransform型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleTransform() [1/5]

FlexibleTransform | ( |  | ) |

FlexibleTransformデフォルトコンストラクタ

## ◆ FlexibleTransform() [2/5]

FlexibleTransform | ( | Transform | value | ) |

FlexibleTransformコンストラクタ

Parameters

  value | 値

## ◆ FlexibleTransform() [3/5]

FlexibleTransform | ( | TransformParameterReference | parameter | ) |

FlexibleTransformコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleTransform() [4/5]

FlexibleTransform | ( | InputSlotTransform | slot | ) |

FlexibleTransformコンストラクタ

Parameters

  slot | スロット

## ◆ FlexibleTransform() [5/5]

FlexibleTransform | ( | FlexibleHierarchyType | hierarchyType | ) |

FlexibleTransformコンストラクタ。

Parameters

  hierarchyType | 参照するオブジェクトのヒエラルキータイプ

## Member Function Documentation

## ◆ operator FlexibleTransform()

static operator FlexibleTransform | ( | Transform | value | ) |
| explicit static

TransformをFlexibleTransformにキャスト。

Parameters

  value | Transform

## ◆ operator Transform()

static operator Transform | ( | FlexibleTransform | flexible | ) |
| explicit static

FlexibleTransformをTransformにキャスト。

Parameters

  flexible | FlexibleTransform